-- name: \\#343434\\[CS] Definitive PB Winterbottom
-- description: A completely fixed version of my older PB Winterbottom character

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_PB = smlua_model_util_get_id("pb_geo")
local E_MODEL_PBC = smlua_model_util_get_id("pbcolor_geo")

local TEX_PB = get_texture_info("pb-icon")

local TEXT_MOD_NAME = "The Definitive PB Winterbottom"




local CAPTABLE_PB = {
    normal = smlua_model_util_get_id("pb_cap_normal_geo"),
}
local CAPTABLE_PBC = {
    normal = smlua_model_util_get_id("pbc_cap_normal_geo"),
}


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("PB Winterbottom", {"The miserable pie thief himself"}, "CT Himself", {r = 52, g = 52, b = 52}, E_MODEL_PB, CT_MARIO, TEX_PB)
    _G.charSelect.character_add_caps(E_MODEL_PB, CAPTABLE_PB)
        CT_CHAR = _G.charSelect.character_add("PB Winterbottom (Recolorable)", {"The miserable pie thief himself"}, "CT Himself", {r = 52, g = 52, b = 52}, E_MODEL_PBC, CT_MARIO, TEX_PB)
    _G.charSelect.character_add_caps(E_MODEL_PBC, CAPTABLE_PBC)

 
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end